Bug 1358157 - (zendframework/zend-mvc-plugin-fileprg) Review Request: php-zendframework-zend-mvc-plugin-fileprg - Zend Framework Mvc-Plugin-FilePrg component
Review Request: php-zendframework-zend-mvc-plugin-fileprg - Zend Framework Mv...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1357393
  Show dependency treegraph
 
Reported: 2016-07-20 04:08 EDT by Remi Collet
Modified: 2016-11-30 12:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-30 12:21:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+


Attachments (Terms of Use)
phpcompatinfo-full.log (7.93 KB, text/plain)
2016-11-29 16:04 EST, Shawn Iwinski
no flags Details
phpcompatinfo-lib.log (3.17 KB, text/plain)
2016-11-29 16:04 EST, Shawn Iwinski
no flags Details
fedora-review.txt (7.89 KB, text/plain)
2016-11-29 16:05 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2016-07-20 04:08:13 EDT
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/master/php/zend/php-zendframework-zend-mvc-plugin-fileprg/php-zendframework-zend-mvc-plugin-fileprg.spec
SRPM URL: http://rpms.remirepo.net/SRPMS/php-zendframework-zend-mvc-plugin-fileprg-1.0.0-1.remi.src.rpm
Description: 
Provides a Post-Redirect-Get controller plugin for zend-mvc versions 3.0
and up, specifically for submissions that include file uploads.

If you want a generic PRG plugin without file upload support, see zend-mvc-plugin-prg.

* File issues at https://github.com/zendframework/zend-mvc-plugin-fileprg/issues
* Documentation is at https://zendframework.github.io/zend-mvc-plugin-fileprg/


Fedora Account System Username: remi

See https://fedoraproject.org/wiki/Changes/ZF3
Comment 1 Shawn Iwinski 2016-11-29 16:04 EST
Created attachment 1226029 [details]
phpcompatinfo-full.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 2 Shawn Iwinski 2016-11-29 16:04 EST
Created attachment 1226040 [details]
phpcompatinfo-lib.log

phpCompatInfo version 5.0.1 DB version 1.14.0 built Oct 17 2016 08:13:06 CEST
Comment 3 Shawn Iwinski 2016-11-29 16:05 EST
Created attachment 1226041 [details]
fedora-review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 --bug 1358157
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Shawn Iwinski 2016-11-29 16:06:12 EST
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

     E: description-line-too-long C If you want a generic PRG plugin without file upload support, see zend-mvc-plugin-prg.



No blockers.

===== APPROVED =====
Comment 5 Gwyn Ciesla 2016-11-30 09:08:19 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-zendframework-zend-mvc-plugin-fileprg
Comment 6 Remi Collet 2016-11-30 12:21:04 EST
Package:    php-zendframework-zend-mvc-plugin-fileprg-1.0.0-1.fc26
Status:     complete

Note You need to log in before you can comment on or make changes to this bug.